<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# spray

```text
usage: spray [-h] [--value VALUE] [-x] addr [length]

```

Spray memory with cyclic() generated values
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|addr|Address to spray|
|length|Length of byte sequence, when unspecified sprays until the end of vmmap which address belongs to (default: 0)|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
||--value|Value to spray memory with, when prefixed with '0x' treated as hex string encoded big-endian|
|-x|--only-funcptrs|Spray only addresses whose values points to executable pages|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
